#' Expression data for 1000 genes.
#'
#' A dataset containing the expression of 1000 genes/transcripts measured in 
#' brain (hippocampus) tissue of different strains of mice.
#' This example dataset contains 1000 selected genes to provide a dataset of
#' manageable size for testing correlation and network functions.
#' 
#' Note: by being stripped of their context, the data for the 1000 genes
#' in this dataset have lost their biological significance. This dataset is 
#' intended only for testing functions requiring a particular data structure.
#'
#' @format A data frame with 74 rows and 1000 variables:
#' \describe{
#'   \item{columns}{Gene/transcript expression in arbitrary units 
#'   (log2 transformed). Column names are ENSEMBL gene identifiers.}
#' }
#' @source Details about the original dataset are provided at \url{http://www.genenetwork.org/webqtl/main.py?FormID=sharinginfo&GN_AccessionId=112}
"hipExpr"