#' Grid-constrained layout of network vertices.
#'
#' The GridGraph package provides the layout function
#' \code{\link{layout.grid.centroid.attraction}} to lay out vertices as cells on 
#' a grid where proximity on the grid corresponds to edge weight between vertices,
#' a plotting function \code{\link{grid.plot}} to plot the layout, 
#' as well as two helper functions \code{\link{matrix.map}} and 
#' \code{\link{matrix.unmap}} to map between row/column coordinates and vector 
#' indices.
#' There is also an example dataset \code{\link{hipExpr}} provided.
#'
#' @section Functions provided:
#' \code{\link{layout.grid.centroid.attraction}}
#' 
#' \code{\link{grid.plot}}
#' 
#' \code{\link{matrix.map}}
#' 
#' \code{\link{matrix.unmap}}
#'
#' @section Data provided:
#' \code{\link{hipExpr}}
#'
#' @docType package
#' @name GridGraph
NULL
