% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/matrix_map.R
\name{matrix.map}
\alias{matrix.map}
\title{Map matrix indices to coordinates.}
\usage{
matrix.map(n, dim.m)
}
\arguments{
\item{n}{The index of a cell (or cells) in the matrix.}

\item{dim.m}{A numeric vector of length 2 containing the dimesions (rows, 
columns) of the matrix (as returned by \code{\link[base]{dim}}).}
}
\value{
A list of length 2 containing the named vectors 'row' and 'col' each 
of the same length as \code{n}.
}
\description{
\code{matrix.map} Maps the index of a matrix to the row and column 
coordinates, given the dimensions of the matrix.
}
\details{
This is intended as a helper function for the \code{\link{GridGraph}} package.
It may be of use in other situations when working with matrices.

The function assumes the matrix is filled by column (the default behaviour 
in R, see \code{\link[base]{matrix}}).

This function is vectorised, so that \code{n} can be a vector.
}
