% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/matrix_unmap.R
\name{matrix.unmap}
\alias{matrix.unmap}
\title{Map matrix coordinates to indices.}
\usage{
matrix.unmap(row, col, dim.m)
}
\arguments{
\item{row}{The row index of a cell (or cells) in a matrix.}

\item{col}{The column index of a cell (or cells) in a matrix.}

\item{dim.m}{A numeric vector of length 2 containing the dimesions (rows, 
columns) of the matrix (as returned by \code{\link[base]{dim}}).}
}
\value{
A vector of the same length as 'row' and 'col' corresponding to the 
index of the cell(s) when the matrix is considered as a vector.
}
\description{
\code{matrix.unmap} Maps the row and column coordinates to the index of a 
matrix, given the dimensions of the matrix.
}
\details{
This is intended as a helper function for the \code{\link{GridGraph}} package.
It may be of use in other situations when working with matrices.

The function assumes the matrix is filled by column (the default behaviour 
in R, see \code{\link[base]{matrix}}).

This function is vectorised so that \code{row} and \code{col} can be vectors.
The parameters \code{row} and \code{col} must be the same length.
}
